package com.fs.course.service;

import java.util.List;
import com.fs.course.domain.FsUserCourseCategory;
import com.fs.his.vo.OptionsVO;

/**
 * 课堂分类Service接口
 *
 * @author fs
 * @date 2024-05-15
 */
public interface IFsUserCourseCategoryService
{
    /**
     * 查询课堂分类
     *
     * @param cateId 课堂分类主键
     * @return 课堂分类
     */
    public FsUserCourseCategory selectFsUserCourseCategoryByCateId(Long cateId);

    /**
     * 查询课堂分类列表
     *
     * @param fsUserCourseCategory 课堂分类
     * @return 课堂分类集合
     */
    public List<FsUserCourseCategory> selectFsUserCourseCategoryList(FsUserCourseCategory fsUserCourseCategory);

    /**
     * 新增课堂分类
     *
     * @param fsUserCourseCategory 课堂分类
     * @return 结果
     */
    public int insertFsUserCourseCategory(FsUserCourseCategory fsUserCourseCategory);

    /**
     * 修改课堂分类
     *
     * @param fsUserCourseCategory 课堂分类
     * @return 结果
     */
    public int updateFsUserCourseCategory(FsUserCourseCategory fsUserCourseCategory);

    /**
     * 批量删除课堂分类
     *
     * @param cateIds 需要删除的课堂分类主键集合
     * @return 结果
     */
    public int deleteFsUserCourseCategoryByCateIds(Long[] cateIds);

    /**
     * 删除课堂分类信息
     *
     * @param cateId 课堂分类主键
     * @return 结果
     */
    public int deleteFsUserCourseCategoryByCateId(Long cateId);


    List<OptionsVO> selectFsUserCoursePidList();

    List<OptionsVO> selectFsUserCourseCategoryPidList();

    List<OptionsVO> selectCateListByPid(Long pid);
}
